﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.Dynamics.Framework.UI.Extensibility;
using Microsoft.Dynamics.Framework.UI.Extensibility.WinForms;

namespace DirectionsEMEADemo1
{
    [ControlAddInExport("Directions EMEA 2014 Demo 1")]
    public class Class1 : StringControlAddInBase
    {
        private TextBox _textBox;

        [ApplicationVisible]
        public event EventHandler ControlAddInReady;

        [ApplicationVisible]
        public Color BackgroundColor
        {
            get { return _textBox.BackColor; }
            set { _textBox.BackColor = value; }
        }
        protected override System.Windows.Forms.Control CreateControl()
        {
            _textBox = new TextBox();
            _textBox.BackColor = Color.LightSteelBlue;
            _textBox.ParentChanged += (sender, args) =>
            {
                if (ControlAddInReady != null)
                    ControlAddInReady(this, null);
            };


            return _textBox;
        }
    }
}
