namespace Vjeko.com.Extensibility
{
    internal class EventManager
    {
        public string EventName { get; set; }

        public event GenericEventHandler OnAnyEvent;

        public void OnEvent<T>(object sender, T eventArgs)
        {
            if (OnAnyEvent != null)
                OnAnyEvent(EventName, sender, eventArgs);
        }
    }
}